For the complete documentation index, see llms.txt. This page is also available as Markdown.

Reports

Get usage report summary

get

Gets a usage summary of all sessions for your account, including the number of sessions and their durations. Query parameters can be used for fine-tuned reports.

Authorizations
Query parameters
groupByDatestring · enumRequired

Group sessions with a certain date range. You can also group by a custom number of days by passing ${int}d.

Example: 7dPossible values:
dateAnchorstring · dateOptional

Must only be included if using a custom groupByDate number. Anchors the groupByDate to a custom UTC date.

Example: 2023-01-01
buildIdstringOptional

If set, only sessions for the given buildId will be included in the report.

Default: allExample: b_k5h7avnbeedjbkm2cwuorlis7m
startDatestring · dateOptional

The start date of the report (UTC time & inclusive).

Default: 12 months prior to todayExample: 2023-01-01
endDatestring · dateOptional

The end date of the report (UTC time & inclusive).

Default: todayExample: 2023-02-01
Responses
200

OK

get/v2/reports/usage/summary
GET /v2/reports/usage/summary?groupByDate=day HTTP/1.1
Host: api.appetize.io
Accept: */*
{
  "data": [
    {
      "startDate": "2023-07-30",
      "endDate": "2023-07-30",
      "buildId": "b_k5h7avnbeedjbkm2cwuorlis7m",
      "numSessions": 117,
      "minutes": 312.975,
      "platform": "android",
      "name_latest": "Wikipedia",
      "appId_latest": "org.wikipedia",
      "note_latest": "This is the Wikipedia app"
    },
    {
      "startDate": "2023-07-30",
      "endDate": "2023-07-30",
      "buildId": "ag_k5h7avnbeedjbkm2cwuorlis7m",
      "numSessions": 25,
      "minutes": 55.2,
      "platform": "android",
      "name_latest": "My App Group",
      "note_latest": "App group with multiple apps"
    },
    {
      "startDate": "2023-07-30",
      "endDate": "2023-07-30",
      "buildId": "standalone_k5h7avnbeedjbkm2cwuorlis7m",
      "numSessions": 3,
      "minutes": 19.12
    }
  ]
}

Get report on accounts

get

Gets a report containing useful information about an account. E.g. the number of users associated with it

Authorizations
Responses
200

OK

application/json
numUsersnumberRequired

Number of users associated with the account.

Example: 1
get/v2/reports/accounts
GET /v2/reports/accounts HTTP/1.1
Host: api.appetize.io
Accept: */*
200

OK

{
  "numUsers": 1,
}

Last updated